Subject: bug#19812: 24.4; suggest `shell-mode' not interactive

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Aug 2019 10:22:44 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 02 Aug 2019 21:52:17 +0200
> Cc: [email-masked]
> 
> As you point out, there's a lot of modes that only make sense in certain
> limited contexts, and having them be interactive isn't very helpful.
> I'm not sure it's that much of a problem in general, but it is a
> particular an issue with `shell-mode', since I'd guess that a lot of
> people type that instead of `M-x shell-script-mode' when starting to
> write new shell scripts.
> 
> The following fixes this particular issue.  Would something like this be
> welcome?

Are there no valid use cases where invoking shell-mode interactively
makes sense?  If there are such use cases, we cannot disallow them
now.